
QGIS Application - Bug report #10666

Accented characters in FileParameter

2014-06-21 01:21 AM - Etienne Trimaille

Status: Closed

Priority: Low

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19065

Description

I get this error while trying to enter a path with some accented characters in a FileParameter :

Traceback (most recent call last):

  File "/home/etienne/.qgis2/python/plugins/processing/gui/AlgorithmExecutionDialog.py", line 225, in accept

    self.setParamValues()

  File "/home/etienne/.qgis2/python/plugins/processing/gui/AlgorithmExecutionDialog.py", line 151, in setParamValues

    self.paramTable.valueItems[param.name]):

  File "/home/etienne/.qgis2/python/plugins/processing/gui/AlgorithmExecutionDialog.py", line 210, in setParamValue

    return param.setValue(widget.getValue())

  File "/home/etienne/.qgis2/python/plugins/processing/parameters/ParameterFile.py", line 48, in setValue

    self.value = str(obj)

UnicodeEncodeError: 'ascii' codec can't encode character u'\\xe9' in position 15: ordinal not in range(128)

History

#1 - 2014-06-21 07:39 AM - Giovanni Manghi

- Status changed from Open to Feedback

are you using qgis master? if yes please also check that you don't have a "processing" folder in .qgis2/python/plugins

#2 - 2014-06-26 06:09 AM - Etienne Trimaille

- Status changed from Feedback to Closed

You're right, I was running qgis master with a processing folder in ".qgis2/python/plugins".

I renamed the folder, so it works now with "/home/etienne/apps/share/qgis/python/plugins/processing"

#3 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
